Package tigase.io

## Enum SSLContextContainer.HARDENED_MODE

- java.lang.Object
- - java.lang.Enum<SSLContextContainer.HARDENED_MODE>
  - - tigase.io.SSLContextContainer.HARDENED_MODE

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<SSLContextContainer.HARDENED_MODE>`
  Enclosing class:
    SSLContextContainer

      public static enum SSLContextContainer.HARDENED_MODE
      extends java.lang.Enum<SSLContextContainer.HARDENED_MODE>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `global` |
    `relaxed` |
    `secure` |
    `strict` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SSLContextContainer.HARDENED_MODE` | `getDefault()` |
    `static SSLContextContainer.HARDENED_MODE` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static SSLContextContainer.HARDENED_MODE[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### global

          public static final SSLContextContainer.HARDENED_MODE global

    - #### relaxed

          public static final SSLContextContainer.HARDENED_MODE relaxed

    - #### secure

          public static final SSLContextContainer.HARDENED_MODE secure

    - #### strict

          public static final SSLContextContainer.HARDENED_MODE strict

  - ### Method Detail

    - #### values

          public static SSLContextContainer.HARDENED_MODE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SSLContextContainer.HARDENED_MODE c : SSLContextContainer.HARDENED_MODE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SSLContextContainer.HARDENED_MODE valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getDefault

          public static SSLContextContainer.HARDENED_MODE getDefault()